当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : gcc编译器错误
帖子发表于 : 2008-04-29 18:29 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
我在安装一软件时出现这样的错误
configure: finding C compiler
checking for C compiler default output file name...
configure: error: C compiler cannot create executables
See `config.log' for more details.
make: *** 没有规则可以创建目标“check”。 停止。

gcc编译器已经安装了最新版本
zyl@zyl-desktop:~$ sudo apt-get install gcc
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
gcc 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级

请教下这问题应该怎么解决?


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-03 15:05 

注册: 2007-10-14 0:11
帖子: 274
送出感谢: 0 次
接收感谢: 0 次
我的gcc也出现了问题


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-16 14:48 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
可怜的
都没人理我


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-16 14:49 
头像

注册: 2007-04-25 13:12
帖子: 2838
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install build-essential


_________________
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-16 15:23 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
试了一下你说的sudo apt-get install build-essential
又出现了下面的问题

下列的软件包有不能满足的依赖关系:
build-essential: 依赖: libc6-dev 但是它将不会被安装 或
libc-dev
依赖: g++ (>= 4:4.1.1) 但是它将不会被安装
E: 无法安装的软件包”
问下,然后再怎么办呢?


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-16 15:30 
头像

注册: 2007-04-25 13:12
帖子: 2838
送出感谢: 0 次
接收感谢: 0 次
换源


_________________
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-16 19:52 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
那能不能贴一下你的源呢?
我之前给我同学装的时候用的一样的源,她装GMT就没遇到我这样的问题呢


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-16 20:01 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
zmxncb 写道:
那能不能贴一下你的源呢?
我之前给我同学装的时候用的一样的源,她装GMT就没遇到我这样的问题呢


看我的签名档先


_________________


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-17 9:13 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
没找到签名档在哪里 :shock:


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-05-17 9:41 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
zmxncb 写道:
没找到签名档在哪里 :shock:


既然你把签名档当作帖子正文了。更应该看了。既然看了。我就认为你的问题解决了。


_________________


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-05-17 9:58 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
哼~


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-05-17 10:05 
头像

注册: 2007-04-25 13:12
帖子: 2838
送出感谢: 0 次
接收感谢: 0 次
:lol: 看来是解决了


_________________
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2008-05-17 10:32 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
哼!


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2008-05-17 10:36 

注册: 2008-03-15 9:32
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
没解决啊
问这边的同学人家都没遇到这样的问题
再说了,源我换过了
没有什么不同
反正是,我走了别人走的路,我却没到达别人到达的终点


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2008-05-17 11:00 
头像

注册: 2007-04-25 13:12
帖子: 2838
送出感谢: 0 次
接收感谢: 0 次
如果apt-get不行可以换aptitude
如果还是不行还可以sudo apt-get install g++继续查看什么依赖没有被满足
出现这种情况的原因很多
大多数是因为源
也可能跨版本换源更新造成


_________________
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 17 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译